OGRE-Next: Ogre::CompositorPassScene Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CompositorPassScene Class Reference
Core » Effects

Implementation of CompositorPass This implementation will perform main rendering, selecting several parameters (like viewport's visibility mask, first and last render queue to render) it will render the main scene. More...

`#include <OgreCompositorPassScene.h>`

Inheritance diagram for Ogre::CompositorPassScene:
[legend]

## Public Member Functions
| CompositorPassScene (const CompositorPassSceneDef *definition, Camera *defaultCamera, const RenderTargetViewDef *rtv, CompositorNode *parentNode)
| Constructor.
| ~CompositorPassScene () override
void | _setCustomCamera (Camera *camera)
void | _setCustomCullCamera (Camera *camera)
void | _setUpdateShadowNode (bool update)
void | execute (const Camera *lodCamera) override
Camera * | getCamera () const
Camera * | getCullCamera () const
const CompositorPassSceneDef * | getDefinition () const
CompositorShadowNode * | getShadowNode () const
bool | getUpdateShadowNode () const
void | notifyCleared () override
Public Member Functions inherited from Ogre::CompositorPass
| CompositorPass (const CompositorPassDef *definition, CompositorNode *parentNode)
virtual | ~CompositorPass ()
ResourceTransitionArray & | _getResourceTransitionsNonConst ()
Vector2 | getActualDimensions () const
const CompositorPassDef * | getDefinition () const
const CompositorNode * | getParentNode () const
RenderPassDescriptor * | getRenderPassDesc () const
const ResourceTransitionArray & | getResourceTransitions () const
const CompositorTextureVec & | getTextureDependencies () const
CompositorPassType | getType () const
Real | getViewportAspectRatio (size_t vpIdx)
virtual void | notifyDestroyed (const UavBufferPacked *buffer)
virtual void | notifyDestroyed (TextureGpu *channel)
virtual bool | notifyRecreated (const TextureGpu *channel)
virtual void | notifyRecreated (const UavBufferPacked *oldBuffer, UavBufferPacked *newBuffer)
void | profilingBegin ()
void | profilingEnd ()
virtual void | resetNumPassesLeft ()

## Detailed Description

Implementation of CompositorPass This implementation will perform main rendering, selecting several parameters (like viewport's visibility mask, first and last render queue to render) it will render the main scene.

into the specified RenderTarget

Author
  Matias N. Goldberg

Version
  1.0

## Constructor & Destructor Documentation

## ◆ CompositorPassScene()

Ogre::CompositorPassScene::CompositorPassScene | ( | const CompositorPassSceneDef * | definition,
|  | Camera * | defaultCamera,
|  | const RenderTargetViewDef * | rtv,
|  | CompositorNode * | parentNode )

Constructor.

Parameters

  definition |
  defaultCamera | Used when the definition's camera name is empty
  workspace | Workspace that ultimately owns us
  target | The RenderTarget we're supposed to draw to. Can be RenderWindow, RenderTexture, MRT, etc

## ◆ ~CompositorPassScene()

Ogre::CompositorPassScene::~CompositorPassScene | ( |  | ) |
| override

## Member Function Documentation

## ◆ _setCustomCamera()

void Ogre::CompositorPassScene::_setCustomCamera | ( | Camera * | camera | ) |
| inline

## ◆ _setCustomCullCamera()

void Ogre::CompositorPassScene::_setCustomCullCamera | ( | Camera * | camera | ) |
| inline

## ◆ _setUpdateShadowNode()

void Ogre::CompositorPassScene::_setUpdateShadowNode | ( | bool | update | ) |
| inline

## ◆ execute()

void Ogre::CompositorPassScene::execute | ( | const Camera * | lodCamera | ) |
| overridevirtual

Implements Ogre::CompositorPass.

## ◆ getCamera()

Camera * Ogre::CompositorPassScene::getCamera | ( |  | ) | const
| inline

## ◆ getCullCamera()

Camera * Ogre::CompositorPassScene::getCullCamera | ( |  | ) | const
| inline

## ◆ getDefinition()

const CompositorPassSceneDef * Ogre::CompositorPassScene::getDefinition | ( |  | ) | const
| inline

## ◆ getShadowNode()

CompositorShadowNode * Ogre::CompositorPassScene::getShadowNode | ( |  | ) | const
| inline

## ◆ getUpdateShadowNode()

bool Ogre::CompositorPassScene::getUpdateShadowNode | ( |  | ) | const
| inline

## ◆ notifyCleared()

void Ogre::CompositorPassScene::notifyCleared | ( |  | ) |
| overridevirtual

See also
  CompositorNode::_notifyCleared

Reimplemented from Ogre::CompositorPass.

The documentation for this class was generated from the following file:

- OgreCompositorPassScene.h